Subject: Re: bug#54423: 29.0.50; gnus-fetch-original-field returns nil in digest

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Mar 2022 20:43:26 +0100

Roland Winkler <[email-masked]> writes:

> While I included the call of `gnus-fetch-original-field' in
> `bbdb-message-header', I need to admit that the above issue goes much
> beyond my knowledge of Gnus internals.  If there are better ways for
> `bbdb-message-header' to achieve what it needs to achieve (which is
> grabbing the content of (what appear to be) headers of a message),
> then I certainly appreciate any patches for BBDB.

If the intention is to collect data from the parent group (which is a
thing mostly just for nndoc groups), you first have to determine what
the parent group is, and then you can select the data from the buffer
that's named something like " *Original Article group.name*".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no